

markup.push({

// MARK: wire view info

WireView:
{

    axRoleDescription: "Audio Wire",

	gxPainter:
	{
		nsClass: "GXPainter",
        
        // colors used for different wire states
		gxFillColor: "ColorLive1",                         	// flowing
        gxFrameColor: { "+": "ColorTheme1", gxAlpha: 50 }, 	// not running
        gxBackColor: colorHSBA(195, 31, 56, 100),			// running, but not flowing
		lightMode:
		{
			focused:
			{
				gxFillColor: "ColorTheme2",
				gxFrameColor: "ColorTheme2",
				gxBackColor: "ColorTheme2",
			},
		},
		focused:
		{
			gxFillColor: colorHSBA(194, 68, 100, 100),
			gxFrameColor: colorHSBA(194, 68, 100, 100),
			gxBackColor: colorHSBA(194, 68, 100, 100),
			// all states, same selected color
		}
	},
}

})
